### Method

# RB Application add_shared_menu

#### Declaration [src]

    void
    rb_application_add_shared_menu (
      RBApplication* app,
      const char* name,
      GMenuModel* menu
    )

#### Description [src]

Adds a menu model to the set of shared menus available for linking into other menus.

#### Parameters

`name`

  Type: `const char*`

  A name for the menu.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`menu`

  Type: `GMenuModel`

  `GMenuModel` instance.

  The data is owned by the caller of the method.